%define api	1
%define major	1

%define build_gda 1

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Summary:	Project management application for GNOME
Name:		planner
Version:	0.14.92
Release:	%mkrel 3
License:	GPLv2+
Group:		Office/Organizer
Url:		https://wiki.gnome.org/Apps/Planner
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
# Mga patches
Patch102:	planner-0.14.6-fix-unitialised-vars.patch
Patch103:	0001-Port-to-libgda-6.0.patch
BuildRequires:	intltool
BuildRequires:	gnome-common
BuildRequires:	meson
BuildRequires:	pkgconfig(gail-3.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.56
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.22
BuildRequires:	pkgconfig(libxml-2.0) >= 2.6.27
BuildRequires:	pkgconfig(libxslt) >= 1.1.23
BuildRequires:	pkgconfig(libexslt)

%if %{build_gda}
BuildRequires:	pkgconfig(libgda-6.0)
%endif

Obsoletes:	%{_lib}planner1_0 < 0.14.6-11
Obsoletes:	%{_lib}planner-devel < 0.14.6-11

%description
Planner is a project management application for GNOME.

It was formerly known as MrProject.

%package doc
Summary:	Documentation for %{name}
Group:		Documentation
BuildArch:	noarch

%description doc
This package contains documentation for %{name}.

%prep
%autosetup -p1

%build
%define _disable_ld_no_undefined 1
%meson \
%if %{build_gda}
	-D database-gda=enabled \
%endif
	-D gtk_doc=true
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

rm -rf %{buildroot}%{_libdir}/%{name}/lib%{name}-%{api}.so

%files -f %{name}.lang
%doc NEWS README
%doc examples/sample-1.planner
%doc examples/kitchen.planner
%doc docs/sql/README.sql
%license COPYING
%{_bindir}/%{name}
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/plugins
%{_libdir}/%{name}/lib%{name}-%{api}.so.%{major}{,.*}
%{_libdir}/%{name}/file-modules/
%{_libdir}/%{name}/plugins/libhtml-plugin.so
%{_libdir}/%{name}/plugins/libmsp-plugin.so
%{_libdir}/%{name}/plugins/libsql-plugin.so
%{_libdir}/%{name}/storage-modules/
%{_datadir}/%{name}/
%{_datadir}/applications/app.drey.Planner.desktop
%{_datadir}/mime/packages/app.drey.Planner.xml
%{_datadir}/GConf/gsettings/planner.convert
%{_datadir}/glib-2.0/schemas/app.drey.Planner.gschema.xml
%{_datadir}/glib-2.0/schemas/app.drey.planner.plugins.sql.gschema.xml
%{_iconsdir}/hicolor/*/mimetypes/gnome-mime-application-x-planner.png
%{_iconsdir}/hicolor/*/apps/gnome-planner.*
%{_mandir}/man1/%{name}.*

%files doc
%doc %{_datadir}/gtk-doc/html/lib%{name}


%changelog
* Sun Mar 16 2025 wally <wally> 0.14.92-3.mga10
+ Revision: 2164994
- rebuild for libxml2 2.13.6

* Tue Dec 24 2024 wally <wally> 0.14.92-2.mga10
+ Revision: 2129921
- port to libgda-6.0

* Sun Dec 17 2023 daviddavid <daviddavid> 0.14.92-1.mga10
+ Revision: 2018508
- new version 0.14.92

* Fri Apr 28 2023 daviddavid <daviddavid> 0.14.91-1.mga9
+ Revision: 1955287
- new version 0.14.91
- switch to meson build system
- remove merged upstream patches
- drop no more needed lib and devel sub-pkgs

* Wed Apr 06 2022 umeabot <umeabot> 0.14.6-10.git20190906.4.mga9
+ Revision: 1845802
- Mageia 9 Mass Rebuild

* Mon Aug 31 2020 martinw <martinw> 0.14.6-10.git20190906.3.mga8
+ Revision: 1620316
- fix build with GCC 10

* Sun Feb 16 2020 umeabot <umeabot> 0.14.6-10.git20190906.2.mga8
+ Revision: 1536654
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Oct 20 2019 daviddavid <daviddavid> 0.14.6-10.git20190906.1.mga8
+ Revision: 1454722
- update to latest git snapshot: 0.14.6-git20190906 (glib-2.58-fix)
- drop python2 support

* Mon Oct 01 2018 daviddavid <daviddavid> 0.14.6-10.git20160815.4.mga7
+ Revision: 1314380
- fix dangling link (mga#23620)

* Sun Sep 30 2018 umeabot <umeabot> 0.14.6-10.git20160815.3.mga7
+ Revision: 1312587
- Mageia 7 Mass Rebuild

* Mon Aug 22 2016 wally <wally> 0.14.6-10.git20160815.2.mga6
+ Revision: 1047730
- add patch to fix .desktop file's missing semicolons
- add one more example to doc section

* Mon Aug 22 2016 wally <wally> 0.14.6-10.git20160815.1.mga6
+ Revision: 1047723
- build latest git snapshot
- add patches from upstream bugzilla to port to libgda5.0 (bgo#584556)
- add patch to fix str fmt
- add patch to fix runtime locale search path
- add patch from openSUSE to fix undefined symbols

* Fri Feb 05 2016 umeabot <umeabot> 0.14.6-9.mga6
+ Revision: 936559
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.14.6-8.mga5
+ Revision: 742997
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.14.6-7.mga5
+ Revision: 727840
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.14.6-6.mga5
+ Revision: 687611
- Mageia 5 Mass Rebuild

* Sat Nov 09 2013 ovitters <ovitters> 0.14.6-5.mga4
+ Revision: 550197
- fix url

* Fri Oct 18 2013 umeabot <umeabot> 0.14.6-4.mga4
+ Revision: 517464
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.14.6-3.mga3
+ Revision: 377787
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 07 2013 barjac <barjac> 0.14.6-2.mga3
+ Revision: 340511
- update group
- corrected spelling mistake
- tabs/spaces

* Sun Dec 25 2011 wally <wally> 0.14.6-1.mga2
+ Revision: 187490
- new version 0.14.6
- drop unneeded patches
- drop experimental and not building evolution plugin
- merge database plugin into main pkg
- clean .spec

* Tue Jul 05 2011 fwang <fwang> 0.14.5-1.mga2
+ Revision: 118675
- fix str fmt
- new version 0.14.5

* Thu Feb 24 2011 ennael <ennael> 0.14.4-6.mga1
+ Revision: 59025
- imported package planner


* Wed Nov 03 2010 Funda Wang <fwang@mandriva.org> 0.14.4-6mdv2011.0
+ Revision: 592737
- rebuild for py2.7

* Wed Aug 11 2010 Götz Waschk <waschk@mandriva.org> 0.14.4-5mdv2011.0
+ Revision: 569044
- disable evolution support

* Mon Jun 21 2010 Frederic Crozat <fcrozat@mandriva.com> 0.14.4-4mdv2010.1
+ Revision: 548447
- Rebuild with latest eds

* Mon Jan 11 2010 Götz Waschk <waschk@mandriva.org> 0.14.4-3mdv2010.1
+ Revision: 489994
- rebuild for new libedata-cal

* Sat Jan 02 2010 Funda Wang <fwang@mandriva.org> 0.14.4-2mdv2010.1
+ Revision: 485062
- more linkage patch
- fix linkage
- fix install

* Mon May 11 2009 Götz Waschk <waschk@mandriva.org> 0.14.4-2mdv2010.0
+ Revision: 374594
- rebuild for new evolution

* Thu Apr 16 2009 Götz Waschk <waschk@mandriva.org> 0.14.4-1mdv2009.1
+ Revision: 367599
- new version
- drop patches 0,1,2
- rediff patch 3
- update build deps

* Sat Dec 27 2008 Funda Wang <fwang@mandriva.org> 0.14.3-6mdv2009.1
+ Revision: 319797
- fix linkage and str fmt
- rebuild for new python

* Mon Nov 03 2008 Götz Waschk <waschk@mandriva.org> 0.14.3-5mdv2009.1
+ Revision: 299531
- rebuild for new evolution

* Wed Aug 06 2008 Götz Waschk <waschk@mandriva.org> 0.14.3-4mdv2009.0
+ Revision: 264240
- rebuild

* Mon Jul 07 2008 Götz Waschk <waschk@mandriva.org> 0.14.3-3mdv2009.0
+ Revision: 232452
- fix buildrequires
- fix build
- fix buildrequires
- rebuild for new evolution-data-server

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sat May 17 2008 Funda Wang <fwang@mandriva.org> 0.14.3-2mdv2009.0
+ Revision: 208533
- fix libname
- new devel package policy
- BR newer version of libxslt
- fix URL and versioned BR

  + Frederik Himpe <fhimpe@mandriva.org>
    - Adapt to new license policy
    - Package NEWS file instead of huge ChangeLog file

* Sat May 17 2008 Funda Wang <fwang@mandriva.org> 0.14.3-1mdv2009.0
+ Revision: 208317
- BR gda3 instead of gda1
- New version 0.14.3

* Sun Feb 24 2008 Emmanuel Andry <eandry@mandriva.org> 0.14.2-10mdv2008.1
+ Revision: 174468
- replace scrollkeeper by rarian

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Sep 19 2007 Frederic Crozat <fcrozat@mandriva.com> 0.14.2-9mdv2008.0
+ Revision: 90873
- Remove X-Mandriva-CrossDesktop category

* Tue Sep 18 2007 Frederic Crozat <fcrozat@mandriva.com> 0.14.2-8mdv2008.0
+ Revision: 89514
- Workaround KDE not supporting comments in .desktop by default (Mdv bug #33406)

* Thu Aug 30 2007 Frederic Crozat <fcrozat@mandriva.com> 0.14.2-7mdv2008.0
+ Revision: 75686
- Update patch1 for latest evolution
- Add GTK, GNOME and X-MandrivaCrossDesktop categories to .desktop file
- Remove sql file from main package

  + Thierry Vignaud <tv@mandriva.org>
    - replace %%{_datadir}/man by %%{_mandir}!
    - fix man pages


* Thu Feb 15 2007 Jérôme Soyer <saispo@mandriva.org> 0.14.2-6mdv2007.0
+ Revision: 121382
- Add BR
- Fix Menu

* Fri Jan 05 2007 Götz Waschk <waschk@mandriva.org> 0.14.2-5mdv2007.1
+ Revision: 104420
- reenable gda

* Fri Dec 29 2006 Frederic Crozat <fcrozat@mandriva.com> 0.14.2-4mdv2007.1
+ Revision: 102550
- Rebuild with latest evolution/e-d-s

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 0.14.2-3mdv2007.1
+ Revision: 89467
- rebuild
- patch for evolution 2.9
- update patch 1 for new evolution
- unpack patches

* Mon Nov 27 2006 Jérôme Soyer <saispo@mandriva.org> 0.14.2-1mdv2007.1
+ Revision: 87356
- New release 0.14.2 / Patch 3 not needed
- Import planner

* Wed Sep 13 2006 Götz Waschk <waschk@mandriva.org> 0.14-5mdv2007.0
- fix mime type (bug 25544)

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 0.14-4mdv2007.0
- spec fixes
- from Pascal Terjan <pterjan@mandriva.org>
 - Re-enable my patch fixing i18n and fix it
 - Fix a very old typo in %%install

* Thu Aug 03 2006 Frederic Crozat <fcrozat@mandriva.com> 0.14-3mdv2007.0
- Rebuild with latest dbus

* Thu Jul 27 2006 Frederic Crozat <fcrozat@mandriva.com> 0.14-2mdv2007.0
- Rebuild with latest evolution

* Tue Jul 04 2006 Jerome Soyer <saispo@mandriva.org> 0.14-1mdv2007.0
- New release 0.14
- Disable database for now
- Rediff patch for Evolution 
- XDG Menu

* Wed May 31 2006 Frederic Crozat <fcrozat@mandriva.com> 0.13-8mdv2007.0
- Fix preun script (Mdk bug #22625)

* Sat Apr 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.13-7mdk
- Regenerate patch1 for latest eds

* Tue Mar 28 2006 Jerome Soyer <saispo@mandriva.org> 0.13-6mdk
- Rebuild with the new gnome-db

* Sun Feb 19 2006 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.13-5mdk
- add BuildRequires: intltool evolution-data-server-devel

* Fri Feb 17 2006 Pascal Terjan <pterjan@mandriva.org> 0.13-4mdk
- buildrequires gtk-doc and evolution-devel
- fix po/Makefile.in.in to not lose CATALOG= line (P3)
- fix files listed twice
- move plugins to the appropriate subpackages

* Wed Feb 15 2006 Jerome Soyer <saispo@mandriva.org> 0.13-3mdk
- rebuild with new gnome-db
- add patches

* Mon Nov 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.13-2mdk
- rebuilt against openssl-0.9.8a

* Fri Jul 29 2005 Frederic Crozat <fcrozat@mandriva.com> 0.13-1mdk
- Release 0.13
- remove files which should have not been packaged

* Fri Jul 29 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.12.1-7mdk
- package missing files

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-6mdk 
- Rebuild with latest howl

* Sat Jan 01 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.12.1-5mdk
- add BuildRequires: pygtk2.0-devel

* Wed Dec 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-4mdk 
- Rebuild with latest gda

* Sat Dec 25 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.12.1-3mdk
- fix buildrequires
- fix summary-ended-with-dot

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.12.1-2mdk
- Rebuild for new  python

* Tue Aug 31 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12.1-1mdk
- Release 0.12.1

* Wed Aug 25 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 0.12-2mdk
- Rebuild with new menu structure

* Sat Jul 10 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.12-1mdk
- New release 0.12
- Remove patches 0, 1 (no longer needed), 2 (merged upstream)

* Fri Jun 25 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.11-4mdk
- Patch0 (CVS): fix name of icon for window
- enable back libtoolize
- Move back aclocal and automake in %%prep 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0 
[           1      -eq 1 ] || exit 0 
, they should remain there

* Mon Apr 19 2004 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 0.11-3mdk
- run aclocal before automake and do them both in %%build, not %%prep

